Bug 301046 - Remote control manager crashed
Summary: Remote control manager crashed
Status: RESOLVED FIXED
Alias: None
Product: kremotecontrol
Classification: Unclassified
Component: settings (show other bugs)
Version: unspecified
Platform: Debian unstable Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Michael Zanetti
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-02 11:20 UTC by Eike
Modified: 2012-11-05 14:46 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eike 2012-06-02 11:20:50 UTC
Application: kcmshell4 ()
KDE Platform Version: 4.8.3 (4.8.3)
Qt Version: 4.8.1
Operating System: Linux 3.2.0-1-amd64 x86_64
Distribution: Debian GNU/Linux 6.0.5 (squeeze)

-- Information about the crash:
- What I was doing when the application crashed:

In the configuration dialog of the remote control manager, I clicked on the (only) remote control I have configured.
I deleted its lirc configuration some time ago. In fact, I only wanted to get rid of this entry anway.

The crash can be reproduced every time.

-- Backtrace:
Application: KDE-Kontrollmodul (kcmshell4), signal: Segmentation fault
The current source language is "auto; currently asm".
[KCrash Handler]
#5  0x00007f16aef7cb36 in QPainter::setBrushOrigin (this=<value optimized out>, p=...) at painting/qpainter.cpp:2212
#6  0x00007f16af396aab in QPainter::setBrushOrigin (this=0xa13fc0, painter=0x7fff153cd6e0, rect=<value optimized out>, index=<value optimized out>)
    at ../../include/QtGui/../../src/gui/painting/qpainter.h:832
#7  QTreeView::drawBranches (this=0xa13fc0, painter=0x7fff153cd6e0, rect=<value optimized out>, index=<value optimized out>) at itemviews/qtreeview.cpp:1842
#8  0x00007f16af39a901 in QTreeView::drawRow (this=0xa13fc0, painter=0x7fff153cd6e0, option=..., index=...) at itemviews/qtreeview.cpp:1705
#9  0x00007f16af39daa8 in QTreeView::drawTree (this=0xa13fc0, painter=0x7fff153cd6e0, region=<value optimized out>) at itemviews/qtreeview.cpp:1467
#10 0x00007f16af39e420 in QTreeView::paintEvent (this=0xa13fc0, event=0x7fff153ce350) at itemviews/qtreeview.cpp:1275
#11 0x00007f16aee87916 in QWidget::event (this=0xa13fc0, event=0x7fff153ce350) at kernel/qwidget.cpp:8508
#12 0x00007f16af243fc6 in QFrame::event (this=0xa13fc0, e=0x7fff153ce350) at widgets/qframe.cpp:557
#13 0x00007f16af35811b in QAbstractItemView::viewportEvent (this=0xa13fc0, event=0x7fff153ce350) at itemviews/qabstractitemview.cpp:1644
#14 0x00007f16af39fd35 in QTreeView::viewportEvent (this=0xa13fc0, event=0x7fff153ce350) at itemviews/qtreeview.cpp:1257
#15 0x00007f16afab4338 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0xa1f760, event=0x7fff153ce350) at kernel/qcoreapplication.cpp:986
#16 0x00007f16aee371cf in QApplicationPrivate::notify_helper (this=0x7d38b0, receiver=0xa1f760, e=0x7fff153ce350) at kernel/qapplication.cpp:4555
#17 QApplicationPrivate::notify_helper (this=0x7d38b0, receiver=0xa1f760, e=0x7fff153ce350) at kernel/qapplication.cpp:4531
#18 0x00007f16aee3c083 in QApplication::notify (this=0x7fff153d58b0, receiver=0xa1f760, e=0x7fff153ce350) at kernel/qapplication.cpp:4420
#19 0x00007f16b07b8ba6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#20 0x00007f16afab41ac in QCoreApplication::notifyInternal (this=0x7fff153d58b0, receiver=0xa1f760, event=0x7fff153ce350) at kernel/qcoreapplication.cpp:876
#21 0x00007f16aee835b6 in QCoreApplication::sendSpontaneousEvent (this=0x9f2750, pdev=0x9d8040, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b2f90)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:234
#22 QWidgetPrivate::drawWidget (this=0x9f2750, pdev=0x9d8040, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b2f90) at kernel/qwidget.cpp:5585
#23 0x00007f16aee8422f in QWidgetPrivate::paintSiblingsRecursive (this=0xa07510, pdev=0x9d8040, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, 
    backingStore=0x9b2f90) at kernel/qwidget.cpp:5794
#24 0x00007f16aee83fb7 in QWidgetPrivate::paintSiblingsRecursive (this=0xa07510, pdev=0x9d8040, siblings=..., index=2, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b2f90)
    at kernel/qwidget.cpp:5781
#25 0x00007f16aee83fb7 in QWidgetPrivate::paintSiblingsRecursive (this=0xa07510, pdev=0x9d8040, siblings=..., index=5, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b2f90)
    at kernel/qwidget.cpp:5781
#26 0x00007f16aee832ec in QWidgetPrivate::drawWidget (this=0xa07510, pdev=0x9d8040, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x9b2f90)
    at kernel/qwidget.cpp:5638
#27 0x00007f16aee8422f in QWidgetPrivate::paintSiblingsRecursive (this=0x9f2340, pdev=0x9d8040, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, 
    backingStore=0x9b2f90) at kernel/qwidget.cpp:5794
#28 0x00007f16aee83fb7 in QWidgetPrivate::paintSiblingsRecursive (this=0x9f2340, pdev=0x9d8040, siblings=..., index=5, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b2f90)
    at kernel/qwidget.cpp:5781
#29 0x00007f16aee83fb7 in QWidgetPrivate::paintSiblingsRecursive (this=0x9f2340, pdev=0x9d8040, siblings=..., index=6, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b2f90)
    at kernel/qwidget.cpp:5781
#30 0x00007f16aee83fb7 in QWidgetPrivate::paintSiblingsRecursive (this=0x9f2340, pdev=0x9d8040, siblings=..., index=7, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b2f90)
    at kernel/qwidget.cpp:5781
#31 0x00007f16aee83fb7 in QWidgetPrivate::paintSiblingsRecursive (this=0x9f2340, pdev=0x9d8040, siblings=..., index=8, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b2f90)
    at kernel/qwidget.cpp:5781
#32 0x00007f16aee83fb7 in QWidgetPrivate::paintSiblingsRecursive (this=0x9f2340, pdev=0x9d8040, siblings=..., index=9, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b2f90)
    at kernel/qwidget.cpp:5781
#33 0x00007f16aee83fb7 in QWidgetPrivate::paintSiblingsRecursive (this=0x9f2340, pdev=0x9d8040, siblings=..., index=10, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b2f90)
    at kernel/qwidget.cpp:5781
#34 0x00007f16aee83fb7 in QWidgetPrivate::paintSiblingsRecursive (this=0x9f2340, pdev=0x9d8040, siblings=..., index=11, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b2f90)
    at kernel/qwidget.cpp:5781
#35 0x00007f16aee83fb7 in QWidgetPrivate::paintSiblingsRecursive (this=0x9f2340, pdev=0x9d8040, siblings=..., index=12, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b2f90)
    at kernel/qwidget.cpp:5781
#36 0x00007f16aee83fb7 in QWidgetPrivate::paintSiblingsRecursive (this=0x9f2340, pdev=0x9d8040, siblings=..., index=13, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b2f90)
    at kernel/qwidget.cpp:5781
#37 0x00007f16aee83fb7 in QWidgetPrivate::paintSiblingsRecursive (this=0x9f2340, pdev=0x9d8040, siblings=..., index=14, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b2f90)
    at kernel/qwidget.cpp:5781
#38 0x00007f16aee83fb7 in QWidgetPrivate::paintSiblingsRecursive (this=0x9f2340, pdev=0x9d8040, siblings=..., index=15, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b2f90)
    at kernel/qwidget.cpp:5781
#39 0x00007f16aee83fb7 in QWidgetPrivate::paintSiblingsRecursive (this=0x9f2340, pdev=0x9d8040, siblings=..., index=16, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b2f90)
    at kernel/qwidget.cpp:5781
#40 0x00007f16aee83fb7 in QWidgetPrivate::paintSiblingsRecursive (this=0x9f2340, pdev=0x9d8040, siblings=..., index=17, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b2f90)
    at kernel/qwidget.cpp:5781
#41 0x00007f16aee832ec in QWidgetPrivate::drawWidget (this=0x9f2340, pdev=0x9d8040, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x9b2f90)
    at kernel/qwidget.cpp:5638
#42 0x00007f16aee8422f in QWidgetPrivate::paintSiblingsRecursive (this=0x9f2b50, pdev=0x9d8040, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, 
    backingStore=0x9b2f90) at kernel/qwidget.cpp:5794
#43 0x00007f16aee832ec in QWidgetPrivate::drawWidget (this=0x9f2b50, pdev=0x9d8040, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x9b2f90)
    at kernel/qwidget.cpp:5638
#44 0x00007f16aee8422f in QWidgetPrivate::paintSiblingsRecursive (this=0x9f33a0, pdev=0x9d8040, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, 
    backingStore=0x9b2f90) at kernel/qwidget.cpp:5794
#45 0x00007f16aee832ec in QWidgetPrivate::drawWidget (this=0x9f33a0, pdev=0x9d8040, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x9b2f90)
    at kernel/qwidget.cpp:5638
#46 0x00007f16aee8422f in QWidgetPrivate::paintSiblingsRecursive (this=0x9b6460, pdev=0x9d8040, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, 
    backingStore=0x9b2f90) at kernel/qwidget.cpp:5794
#47 0x00007f16aee832ec in QWidgetPrivate::drawWidget (this=0x9b6460, pdev=0x9d8040, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x9b2f90)
    at kernel/qwidget.cpp:5638
#48 0x00007f16aee8422f in QWidgetPrivate::paintSiblingsRecursive (this=0x9b6260, pdev=0x9d8040, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, 
    backingStore=0x9b2f90) at kernel/qwidget.cpp:5794
#49 0x00007f16aee832ec in QWidgetPrivate::drawWidget (this=0x9b6260, pdev=0x9d8040, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x9b2f90)
    at kernel/qwidget.cpp:5638
#50 0x00007f16aee8422f in QWidgetPrivate::paintSiblingsRecursive (this=0x9b09c0, pdev=0x9d8040, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, 
    backingStore=0x9b2f90) at kernel/qwidget.cpp:5794
#51 0x00007f16aee83fb7 in QWidgetPrivate::paintSiblingsRecursive (this=0x9b09c0, pdev=0x9d8040, siblings=..., index=0, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9b2f90)
    at kernel/qwidget.cpp:5781
#52 0x00007f16aee832ec in QWidgetPrivate::drawWidget (this=0x9b09c0, pdev=0x9d8040, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x9b2f90)
    at kernel/qwidget.cpp:5638
#53 0x00007f16af050848 in QWidgetBackingStore::sync (this=0x9b2f90) at painting/qbackingstore.cpp:1373
#54 0x00007f16aee7a310 in QWidgetPrivate::syncBackingStore (this=0x9b09c0) at kernel/qwidget.cpp:1891
#55 0x00007f16aee87e2c in QWidget::event (this=0x9b0170, event=0x9decd0) at kernel/qwidget.cpp:8655
#56 0x00007f16aee37204 in QApplicationPrivate::notify_helper (this=0x7d38b0, receiver=0x9b0170, e=0x9decd0) at kernel/qapplication.cpp:4559
#57 QApplicationPrivate::notify_helper (this=0x7d38b0, receiver=0x9b0170, e=0x9decd0) at kernel/qapplication.cpp:4531
#58 0x00007f16aee3c083 in QApplication::notify (this=0x7fff153d58b0, receiver=0x9b0170, e=0x9decd0) at kernel/qapplication.cpp:4420
#59 0x00007f16b07b8ba6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#60 0x00007f16afab41ac in QCoreApplication::notifyInternal (this=0x7fff153d58b0, receiver=0x9b0170, event=0x9decd0) at kernel/qcoreapplication.cpp:876
#61 0x00007f16afab7f7a in QCoreApplication::sendEvent (receiver=0x0, event_type=0, data=0x79e2b0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#62 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x79e2b0) at kernel/qcoreapplication.cpp:1500
#63 0x00007f16afae32a3 in QCoreApplication::sendPostedEvents (s=0x7d4b20) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#64 postEventSourceDispatch (s=0x7d4b20) at kernel/qeventdispatcher_glib.cpp:279
#65 0x00007f16ab940205 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#66 0x00007f16ab940538 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#67 0x00007f16ab9405f4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#68 0x00007f16afae36cf in QEventDispatcherGlib::processEvents (this=0x79f770, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#69 0x00007f16aeedbaee in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#70 0x00007f16afab2f92 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#71 0x00007f16afab31e7 in QEventLoop::exec (this=0x7fff153d2c90, flags=...) at kernel/qeventloop.cpp:204
#72 0x00007f169f7208cb in ?? () from /usr/lib/x86_64-linux-gnu/libQtXmlPatterns.so.4
#73 0x00007f169f744b26 in ?? () from /usr/lib/x86_64-linux-gnu/libQtXmlPatterns.so.4
#74 0x00007f169f74216f in QXmlSchema::load(QUrl const&) () from /usr/lib/x86_64-linux-gnu/libQtXmlPatterns.so.4
#75 0x00007f169fcdb4e9 in ?? () from /usr/lib/liblibkremotecontrol.so.1
#76 0x00007f169fcdbc32 in ProfileServer::allProfiles() () from /usr/lib/liblibkremotecontrol.so.1
#77 0x00007f169fcd489e in ProfileAction::name() const () from /usr/lib/liblibkremotecontrol.so.1
#78 0x00007f169ff169a6 in ?? () from /usr/lib/kde4/kcm_remotecontrol.so
#79 0x00007f16af401a6e in QModelIndex::data (this=0x9d5700, option=0x7fff153d3230, index=...) at ../../include/QtCore/../../src/corelib/kernel/qabstractitemmodel.h:402
#80 QStyledItemDelegate::initStyleOption (this=0x9d5700, option=0x7fff153d3230, index=...) at itemviews/qstyleditemdelegate.cpp:385
#81 0x00007f16af402d3e in QStyledItemDelegate::sizeHint (this=0x9d5700, option=..., index=...) at itemviews/qstyleditemdelegate.cpp:450
#82 0x00007f16af398210 in QTreeView::indexRowSizeHint (this=<value optimized out>, index=<value optimized out>) at itemviews/qtreeview.cpp:2837
#83 0x00007f16af39bcb9 in QTreeViewPrivate::itemHeight (this=0xa07510, item=<value optimized out>) at itemviews/qtreeview.cpp:3283
#84 QTreeViewPrivate::itemHeight (this=0xa07510, item=<value optimized out>) at itemviews/qtreeview.cpp:3272
#85 0x00007f16af39bf53 in QTreeViewPrivate::updateScrollBars (this=0xa07510) at itemviews/qtreeview.cpp:3504
#86 0x00007f16af39c30f in QTreeView::updateGeometries (this=0xa13fc0) at itemviews/qtreeview.cpp:2721
#87 0x00007f16af3586b9 in QAbstractItemView::doItemsLayout (this=<value optimized out>) at itemviews/qabstractitemview.cpp:1164
#88 0x00007f16af3a3504 in QTreeView::doItemsLayout (this=0xa13fc0) at itemviews/qtreeview.cpp:2064
#89 0x00007f16af397b43 in QAbstractItemViewPrivate::executePostedLayout (this=0xa13fc0, column=0) at ../../include/QtGui/private/../../../src/gui/itemviews/qabstractitemview_p.h:212
#90 QAbstractItemViewPrivate::executePostedLayout (this=0xa13fc0, column=0) at itemviews/qtreeview.cpp:2568
#91 QTreeView::resizeColumnToContents (this=0xa13fc0, column=0) at itemviews/qtreeview.cpp:2571
#92 0x00007f169ff0a940 in ?? () from /usr/lib/kde4/kcm_remotecontrol.so
#93 0x00007f169ff0b326 in ?? () from /usr/lib/kde4/kcm_remotecontrol.so
#94 0x00007f169ff0cf29 in ?? () from /usr/lib/kde4/kcm_remotecontrol.so
#95 0x00007f16afac8799 in QMetaObject::activate (sender=0xa13f60, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fff153d3ab0) at kernel/qobject.cpp:3566
#96 0x00007f16af3b016a in QItemSelectionModel::currentChanged (this=<value optimized out>, _t1=<value optimized out>, _t2=<value optimized out>) at .moc/release-shared/moc_qitemselectionmodel.cpp:173
#97 0x00007f16af3b0260 in QItemSelectionModel::setCurrentIndex (this=0xa13f60, index=..., command=<value optimized out>) at itemviews/qitemselectionmodel.cpp:1175
#98 0x00007f16af35e904 in QAbstractItemView::mousePressEvent (this=0xa13ff0, event=<value optimized out>) at itemviews/qabstractitemview.cpp:1682
#99 0x00007f16aee87c49 in QWidget::event (this=0xa13ff0, event=0x7fff153d4990) at kernel/qwidget.cpp:8358
#100 0x00007f16af243fc6 in QFrame::event (this=0xa13ff0, e=0x7fff153d4990) at widgets/qframe.cpp:557
#101 0x00007f16af35811b in QAbstractItemView::viewportEvent (this=0xa13ff0, event=0x7fff153d4990) at itemviews/qabstractitemview.cpp:1644
#102 0x00007f16af39fd35 in QTreeView::viewportEvent (this=0xa13ff0, event=0x7fff153d4990) at itemviews/qtreeview.cpp:1257
#103 0x00007f16afab4338 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0xa248b0, event=0x7fff153d4990) at kernel/qcoreapplication.cpp:986
#104 0x00007f16aee371cf in QApplicationPrivate::notify_helper (this=0x7d38b0, receiver=0xa248b0, e=0x7fff153d4990) at kernel/qapplication.cpp:4555
#105 QApplicationPrivate::notify_helper (this=0x7d38b0, receiver=0xa248b0, e=0x7fff153d4990) at kernel/qapplication.cpp:4531
#106 0x00007f16aee3c953 in QApplication::notify (this=<value optimized out>, receiver=0xa248b0, e=0x7fff153d4990) at kernel/qapplication.cpp:4102
#107 0x00007f16b07b8ba6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#108 0x00007f16afab41ac in QCoreApplication::notifyInternal (this=0x7fff153d58b0, receiver=0xa248b0, event=0x7fff153d4990) at kernel/qcoreapplication.cpp:876
#109 0x00007f16aee381d2 in QCoreApplication::sendEvent (receiver=0xa248b0, event=0x7fff153d4990, alienWidget=0xa248b0, nativeWidget=0x9b0170, buttonDown=0xa248b0, lastMouseReceiver=..., 
    spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#110 QApplicationPrivate::sendMouseEvent (receiver=0xa248b0, event=0x7fff153d4990, alienWidget=0xa248b0, nativeWidget=0x9b0170, buttonDown=0xa248b0, lastMouseReceiver=..., spontaneous=true)
    at kernel/qapplication.cpp:3170
#111 0x00007f16aeeb4635 in QETWidget::translateMouseEvent (this=0x9b0170, event=<value optimized out>) at kernel/qapplication_x11.cpp:4523
#112 0x00007f16aeeb34fa in QApplication::x11ProcessEvent (this=0x7fff153d58b0, event=0x7fff153d5250) at kernel/qapplication_x11.cpp:3646
#113 0x00007f16aeedbe62 in x11EventSourceDispatch (s=0x7d4f70, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#114 0x00007f16ab940205 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#115 0x00007f16ab940538 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#116 0x00007f16ab9405f4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#117 0x00007f16afae36cf in QEventDispatcherGlib::processEvents (this=0x79f770, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#118 0x00007f16aeedbaee in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#119 0x00007f16afab2f92 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#120 0x00007f16afab31e7 in QEventLoop::exec (this=0x7fff153d55f0, flags=...) at kernel/qeventloop.cpp:204
#121 0x00007f16af303526 in QDialog::exec (this=0x9b0170) at dialogs/qdialog.cpp:554
#122 0x00007f16b11ac14c in kdemain () from /usr/lib/kde4/libkdeinit/libkdeinit4_kcmshell4.so
#123 0x00007f16b0e3bead in __libc_start_main (main=<value optimized out>, argc=<value optimized out>, ubp_av=<value optimized out>, init=<value optimized out>, fini=<value optimized out>, 
    rtld_fini=<value optimized out>, stack_end=0x7fff153d59d8) at libc-start.c:228
#124 0x0000000000400771 in _start ()

Reported using DrKonqi
Comment 1 Michael Zanetti 2012-11-05 14:46:57 UTC
Git commit 94fa064edc5fdef7b6c4243bd719324f53f7891d by Michael Zanetti.
Committed on 05/11/2012 at 14:49.
Pushed by mzanetti into branch 'KDE/4.9'.

Correctly disable buttons in case a remote control is not available.
Make it more obvious when a remote is not available.

Fixes some crash reports when people tried to edit a non existent remote:
Related: bug 287568, bug 284640, bug 287568

M  +6    -4    kcmremotecontrol/kcmremotecontrol.cpp
M  +10   -1    kcmremotecontrol/model.cpp

http://commits.kde.org/kremotecontrol/94fa064edc5fdef7b6c4243bd719324f53f7891d